%define name gnunet-gtk
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define distsuffix plf

Name:		%{name}
Version:	0.7.3
Release:	%mkrel 1
Source:		http://gnunet.org/download/%{name}-%{version}.tar.bz2
License:	GPLv2+
Summary:	GNUnet GTK user interface
Group:		Networking/File transfer
URL:		http://gnunet.org/
BuildRequires:	gnunet-devel = %{version}, gtk+2-devel, libextractor-devel
BuildRequires:	libgksu-devel
BuildRequires:	libglade2-devel
Requires:	gnunet
%description
This is the GNUnet GTK user interface. GNUnet is a framework for secure
peer-to-peer networking that does not use any centralized or otherwise
trusted services.

This package is in PLF because it contains P2P software.

%package -n %libname
Summary:	Library for GNUnet GTK user interface
Group:		Networking/File transfer
%description -n %{libname}
Library for GNUnet GTK user interface.

%package -n %develname
Summary:	Development files for %{libname}
Group:		Networking/File transfer
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
%description -n %{develname}
Development files for %{libname}.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%{__install} -d %{buildroot}%{_iconsdir}
%{__install} -m 644 pixmaps/gnunet_logo.png %{buildroot}%{_iconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}
%{_datadir}/locale
%{_datadir}/applications/%{name}.desktop
%{_libdir}/GNUnet/libgnunetgtkmodule_*
%{_iconsdir}/%{name}.png

%files -n %libname
%{_libdir}/libgnunetgtk_common.so.%{major}*

%files -n %develname
%{_includedir}/GNUnet/gnunetgtk_common.h
%{_libdir}/libgnunetgtk_common.la
%{_libdir}/libgnunetgtk_common.so

%changelog
* Thu Apr 03 2008 Anssi Hannula <anssi@zarb.org> 0.7.3-1plf2008.1
- add to PLF
- drop duplicate menu entry
- buildrequires libglade2

* Fri Mar 21 2008 Nicolas Vigier <boklm@mars-attacks.org> 0.7.3-1mdv2008.1
- first version
